Subject: Re: eglot feature request: set Initialize.ClientInfo.{Name,Version}

From: João Távora <[email-masked]>
Date: Wed, 28 Jun 2023 22:02:40 +0100

On Wed, Jun 28, 2023 at 9:41 PM Alan Donovan <[email-masked]> wrote:

> > >Hi João,
> > > would you mind making eglot populate the clientInfo.{name,version}
> > > fields of the Initialize request parameters? All that's necessary is
> > > the one-line change below, though I'm sure you know a cleaner way to
> > >express the JSON literal and the version constant.
> > No I wouldn't mind.
> Great!   I found that this expression works for the version, assuming
> eglot is actually installed:
>
>  (package-desc-version (cadr (assoc 'eglot package-alist)))

That's the thing.  Sometimes it is installed in that variable, sometimes
it's a builtin described in some other variable.  There is, I think,
a library for this.

I've found the bug thread: bug#62198.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62198

Taking the liberty of CCing there. Felicián was also looking for this.

João